package com.prolog.upcloud.base.wh.operate.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description  库存调整
 * @Date 2021-04-07
 */
@ApiModel
public class WmsAdjustUpdateVO implements Serializable {


	private static final long serialVersionUID = -5002764050530194312L;
	@ApiModelProperty(value = "单行ID")
	private String adjustLineId;

	@ApiModelProperty(value = "批次id")
	private String batchId;

	@ApiModelProperty(value = "商品批次编号")
	private String batchNum;

	@ApiModelProperty(value = "调整数量")
	private BigDecimal quantity;

	@ApiModelProperty(value = "货位ID")
	private String whLocatorId;

	@ApiModelProperty(value = "库存状态（1合格/2不合格/3待检/4退货）")
	private String stockStatus;

	public String getStockStatus() {
		return stockStatus;
	}

	public void setStockStatus(String stockStatus) {
		this.stockStatus = stockStatus;
	}

	public String getAdjustLineId() {
		return adjustLineId;
	}

	public void setAdjustLineId(String adjustLineId) {
		this.adjustLineId = adjustLineId;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public BigDecimal getQuantity() {
		return quantity;
	}

	public void setQuantity(BigDecimal quantity) {
		this.quantity = quantity;
	}

	public String getWhLocatorId() {
		return whLocatorId;
	}

	public void setWhLocatorId(String whLocatorId) {
		this.whLocatorId = whLocatorId;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}
}
